View Issue Details

IDProjectCategoryView StatusLast Update
0026688LazarusLCLpublic2015-01-06 01:16
ReporterqoxopAssigned ToMaxim Ganetsky 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product VersionProduct Build 
Target VersionFixed in Version1.4 
Summary0026688: DefaultTranslator patch
DescriptionIn "Project Options" in tab i18n could be arbitrary directory name for storing languages (*.po) files choosen. But DefaultTranslator (DefaultTranslator.pas) works and search only for predefined names (languages, locale). I added overloaded procedure SetDefaultLang to the DefaultTranslator.pas, where could be arbitrary directory name used. Patch attached.
TagsNo tags attached.
Fixed in Revision47312
LazTarget-
Widgetset
Attached Files

Relationships

related to 0026631 resolvedMaxim Ganetsky On demand localization instead of forced at init section in DefaultTranslator 

Activities

qoxop

2014-09-08 13:38

reporter  

DefaultTranslatorPatch.zip (10,995 bytes)

Maxim Ganetsky

2014-09-25 23:44

developer   ~0077672

Please provide patch without formatting changes all over the place. It is very hard to review it in its current form.

Maxim Ganetsky

2015-01-06 01:16

developer   ~0080142

Please test and close if OK.

Issue History

Date Modified Username Field Change
2014-09-08 13:38 qoxop New Issue
2014-09-08 13:38 qoxop File Added: DefaultTranslatorPatch.zip
2014-09-08 14:59 Marco van de Voort Project FPC => Lazarus
2014-09-09 11:55 Juha Manninen Relationship added related to 0026631
2014-09-09 11:55 Juha Manninen Assigned To => Maxim Ganetsky
2014-09-09 11:55 Juha Manninen Status new => assigned
2014-09-25 23:44 Maxim Ganetsky LazTarget => -
2014-09-25 23:44 Maxim Ganetsky Note Added: 0077672
2014-09-25 23:44 Maxim Ganetsky Status assigned => feedback
2015-01-06 01:16 Maxim Ganetsky Fixed in Revision => 47312
2015-01-06 01:16 Maxim Ganetsky Note Added: 0080142
2015-01-06 01:16 Maxim Ganetsky Status feedback => resolved
2015-01-06 01:16 Maxim Ganetsky Fixed in Version => 1.4
2015-01-06 01:16 Maxim Ganetsky Resolution open => fixed